import { stringify } from 'qs';
import { request } from '@umijs/max';
import webpath from '@/utils/webPath';


export async function deleteByPrimaryKeyForProUserGeographic(params = {}) {
    return request(`/${webpath.portalwebpath}/web/api/service/prousergeographic/delete?${stringify(params)}`);
}


export async function selectByPrimaryKeyForProUserGeographic(params = {}) {
    return request(`/${webpath.portalwebpath}/web/api/service/prousergeographic/get?${stringify(params)}`);
}


export async function insertForProUserGeographic(params = {}) {
    return request(`/${webpath.portalwebpath}/web/api/service/prousergeographic/insert`, {
        method: 'POST',
        data: {
            ...params,
            method: 'insert',
        },
    });
}


export async function updateForProUserGeographic(params = {}) {
    return request(`/${webpath.portalwebpath}/web/api/service/prousergeographic/update`, {
        method: 'POST',
        data: {
            ...params,
            method: 'update',
        },
    });
}


export async function deleteByMapForProUserGeographic(params = {}) {
    return request(`/${webpath.portalwebpath}/web/api/service/prousergeographic/deleteByMap`, {
        method: 'POST',
        data: {
            ...params,
            method: 'delete',
        },
    });
}


export async function updateByMapForProUserGeographic(params = {}) {
    return request(`/${webpath.portalwebpath}/web/api/service/prousergeographic/updateByMap`, {
        method: 'POST',
        data: {
            ...params,
            method: 'update',
        },
    });
}


export async function getOneForProUserGeographic(params = {}) {
    return request(`/${webpath.portalwebpath}/web/api/service/prousergeographic/getOne`, {
        method: 'POST',
        data: {
            ...params,
            method: 'fetch',
        },
    });
}



export async function getAllForProUserGeographic(params = {}) {
    return request(`/${webpath.portalwebpath}/web/api/service/prousergeographic/getAll`, {
        method: 'POST',
        data: {
            ...params,
            method: 'fetch',
        },
    });
}


export async function queryPageForProUserGeographic(params = {}) {
    return request(`/${webpath.portalwebpath}/web/api/service/prousergeographic/queryPage`, {
        method: 'POST',
        data: {
            ...params,
            method: 'fetch',
        },
    });
}


export async function countForProUserGeographic(params = {}) {
    return request(`/${webpath.portalwebpath}/web/api/service/prousergeographic/count`, {
        method: 'POST',
        data: {
            ...params,
            method: 'fetch',
        },
    });
}

export async function insertBatchForProUserGeographic(params = {}) {
    return request(`/${webpath.portalwebpath}/web/api/service/prousergeographic/insertBatch`, {
        method: 'POST',
        data: {
            ...params,
            method: 'insert',
        },
    });
}


export async function deleteBatchForProUserGeographic(params = {}) {
    return request(`/${webpath.portalwebpath}/web/api/service/prousergeographic/deleteBatch`, {
        method: 'POST',
        data: {
            ...params,
            method: 'delete',
        },
    });
}


export async function updateBatchForProUserGeographic(params = {}) {
    return request(`/${webpath.portalwebpath}/web/api/service/prousergeographic/updateBatch`, {
        method: 'POST',
        data: {
            ...params,
            method: 'update',
        },
    });
}




export async function getProvincesCitiesCountie(params = {}) {
    return request(`/${webpath.portalwebpath}/web/api/service/prousergeographic/getProvincesCitiesCountie`, {
        method: 'POST',
        data: {
            ...params,
            method: 'fetch',
        },
    });
}
//export async function getProvincesCitiesCountie(params = {}) {
//  return request(`/${webpath.portalwebpath}/web/api/service/prousergeographic/getProvincesCitiesCountie`, {
//      method: 'POST',
//      data: {
//          ...params,
//          method: 'fetch',
//      },
//  });
//}
